CREATE TABLE mct_imp_dev_par_val (
    DEV_PAR_VAL_GUID         VARCHAR2(256) ,
    DEV_GUID                 VARCHAR2(256) ,
    DEV_TYP_PAR_GUID         VARCHAR2(256) ,
    DEV_PAR_VAL              VARCHAR2(2048),
    PAR_NAME                 VARCHAR2(256) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    BATCH_ID                 NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(4)   ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(18, 0) ,
    ERROR_MESSAGE            VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    REQUEST_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    DEV_PAR_VAL_GUID         VARCHAR2(256) ,
    DEV_GUID                 VARCHAR2(256) ,
    DEV_TYP_PAR_GUID         VARCHAR2(256) ,
    DEV_PAR_VAL              VARCHAR2(2048),
    PAR_NAME                 VARCHAR2(256) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    BATCH_ID                 NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(4)   ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(18, 0) ,
    ERROR_MESSAGE            VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    REQUEST_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_mct_imp_dev_par_val PRIMARY KEY (INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID, BATCH_ID)
);
